Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Error with Length of members_stripe_id #11207

Closed
martinmckenna opened this issue Oct 8, 2019 · 3 comments

Comments

@martinmckenna
Copy link

@martinmckenna martinmckenna commented Oct 8, 2019

Issue Summary

Upon installing Ghost v2.32.0 with a fresh MySQL installation I get

✖ Starting Ghost
A GhostError occurred.

Message: Field length of `customer_id` in `members_stripe_customers` is too long!
Help: Read more here: https://github.com/TryGhost/knex-migrator/issues/51

Suggestion: journalctl -u ghost_example-com -n 50

Debug Information:
    OS: Debian, v9.11
    Node Version: v10.16.3
    Ghost-CLI Version: 1.11.0
    Environment: production
    Command: 'ghost install'

Additional log info available in: /home/admin/.ghost/logs/ghost-cli-debug-2019-10-08T00_54_45_189Z.log

Try running ghost doctor to check your system for known issues.

You can always refer to https://docs.ghost.org/api/ghost-cli/ for troubleshooting

DB Character Set

#
# * Character sets
#
# MySQL/MariaDB default is Latin1, but in Debian we rather default to the full
# utf8 4-byte character set. See also client.cnf
#
character-set-server  = utf8
collation-server      = utf8_general_ci
@martinmckenna

This comment has been minimized.

Copy link
Author

@martinmckenna martinmckenna commented Oct 8, 2019

I also tried using the last version of Ghost, but the Admin panel won't let me create an account. It just says "ghost has been updated. Please refresh the page."

Not allowing developers to use older versions seems like a bad experience.

allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

MySQL doesn't allow unqiue keys with a lenght of more than 191 when
using InnoDB with utfmb4. This wasn't caught because travis doesn't seem
to be using that configuration
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

This will ensure any incorrect tables created are fixed and have the
correct length for customer_id
@allouis

This comment has been minimized.

Copy link
Contributor

@allouis allouis commented Oct 8, 2019

Hey @martinmckenna I've opened a PR for this issue, i'll ping here when it's released. for now you should be able to install and run Ghost 2.31.1 - if you're having trouble with that though, head to our forum (https://forum.ghost.org/) and you'll find support there ☺️

allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

MySQL doesn't allow unqiue keys with a lenght of more than 191 when
using InnoDB with utfmb4. This wasn't caught because travis doesn't seem
to be using that configuration
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

This will ensure any incorrect tables created are fixed and have the
correct length for customer_id
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

This will ensure any incorrect tables created are fixed and have the
correct length for customer_id
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

MySQL doesn't allow unqiue keys with a lenght of more than 191 when
using InnoDB with utfmb4. This wasn't caught because travis doesn't seem
to be using that configuration
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
refs TryGhost#11207

This will ensure any incorrect tables created are fixed and have the
correct length for customer_id
allouis added a commit to allouis/Ghost that referenced this issue Oct 8, 2019
@martinmckenna

This comment has been minimized.

Copy link
Author

@martinmckenna martinmckenna commented Oct 8, 2019

Thanks. Unfortunately, due to the issue I posted in the comment above ^^ is keeping me from using 2.31.1, but I'll post in the forums.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.